#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct foto
{
	char *ime;
	int brdana;
	char *pol;
	int godine;
	struct foto *next;
} foto;

#define new(x) x = (foto *)malloc(sizeof(foto))

foto *form(FILE *f)
{
	foto *p = NULL, *temp, *pom;
	char s[50];
	int k;
	fgets(s, 50, f);
	strtok(s, "\n");
	fscanf(f, "%d\n", &k);
	while(k <= 30)
	{
		new(temp);
		temp->ime = (char *)malloc(strlen(s) + 1); 
		strcpy(temp->ime, s);
		temp->brdana = k;
		fgets(s, 50, f);
		strtok(s, "\n");
		temp->pol = (char *)malloc(strlen(s) + 1); 
		strcpy(temp->pol, s);
		fscanf(f, "%d\n", &k);
		temp->godine = k;
		if(p == NULL)
		{
			p = temp;
			temp->next = NULL;
		}
		else
		{	
			pom = p;
			while(pom->next) pom = pom->next;
			pom->next = temp;
			temp->next = NULL;
		}
		fgets(s, 50, f);
		fscanf(f, "%d\n", &k);
	}
	return p;
}

void ispis(foto *p)
{
	while(p)
	{
		printf("ime: %s\nbroj dana: %d\npol: %s\ngodine: %d\n", p->ime, p->brdana, p->pol, p->godine);
		p = p->next;
		printf("\n");
	}
}

void formN(foto **p)
{
	int i;
	int n = 5;
	int k;
	char s[50];
	foto *taj, *pre, *pos, *pom, *tmp;
	for(i = 0; i < n; i++)
		{
			new(tmp);
			gets(s);
			tmp->ime = (char *)malloc(strlen(s) + 1); 
			strcpy(tmp->ime, s);
			scanf("%d", &k);
			getchar();
			tmp->brdana = k;
			gets(s);
			tmp->pol = (char *)malloc(strlen(s) + 1); 
			strcpy(tmp->pol, s);
			scanf("%d", &k);
			getchar();
			tmp->godine = k;
			taj = *p;
			while(taj)
			{
				pre = NULL;
				pos = taj->next;
				if(taj->brdana > tmp->brdana)
				{
					if(pre == NULL)
					{
						tmp->next = (*p);
						(*p) = tmp;
					}
					else
					if(pos->brdana < tmp->brdana)
					{
						tmp->next = taj->next;
						taj->next = tmp;
						pre = taj;
					}	
				}
				else	
					if(taj->brdana < tmp->brdana)
					{
						taj->next = tmp;
						tmp->next = NULL;
						pre = taj;
					}
				else
				{
					pre = taj;
					taj = taj->next;
				}
			}
		}
}

int br(foto *p)
{
	int i, n;
	float k;
	while(p)
	{
		if(!strcmp(p->pol, "ZENSKI")) i++;
		n++;
		p = p->next;
	}
	k = (i * 100)/n;
	return k;
}

int main(int argc, char* argv[])
{
	FILE *f;
	float k;
	foto *p;
	f = fopen(argv[1], "r");
	p = form(f);
	printf("prva dobijena lista je: \n");
	ispis(p);
	//formN(&p);
	printf("nova lista je: \n");
	ispis(p);
	k = br(p);
	printf("Osobe zenskog pola su se prijavile u %.2f  slucajeva.\n", k);
}
