#include<stdio.h>
#include<stdlib.h>
#include<string.h>

struct lista{
	char ime[30];
	int br_dana;
	char pol[30];
	int starost;
	struct lista *sledeci;
	};

#define new(x) x=(struct lista *)malloc(sizeof(struct lista))	

struct lista *dodaj(struct lista *p,char s1[30],int i1,char s2[30],int i2){
	struct lista *pom;
	
	if(p==NULL){
		new(p);
		if(p==NULL){
			printf("greska\n");
			exit(0);
			}
		strcpy(p->ime,s1);
		p->br_dana=i1;
		strcpy(p->pol,s2);
		p->starost=i2;
		p->sledeci=NULL;
		}
	else{
		pom=p;
		while(pom->sledeci!=NULL) pom=pom->sledeci;
		new(pom->sledeci);
		pom=pom->sledeci;
		strcpy(pom->ime,s1);
		pom->br_dana=i1;
		strcpy(pom->pol,s2);
		pom->starost=i2;
		pom->sledeci=NULL;
		}
	return (p);
	}	
	
void stampaj(struct lista *p){
	struct lista *pom;
	if(p==NULL) printf("lista je prazna\n");
	else{
		pom=p;
		while(pom!=NULL){
			printf("%s\n",pom->ime);
			printf("%d\n",pom->br_dana);
			printf("%s\n",pom->pol);
			printf("%d\n",pom->starost);
			printf("\n");
			pom=pom->sledeci;
			}
		}
	}

struct lista *dodaj_sort(struct lista *p,char s1[30],int i1,char s2[30],int i2){
	struct lista *prethodni,*trenutni,*novi;
	prethodni=NULL;
	trenutni=p;
	
	while(trenutni!=NULL && trenutni->br_dana<i1){
		prethodni=trenutni;
		trenutni=trenutni->sledeci;
		}
	new(novi);
	if(prethodni==NULL){
		strcpy(novi->ime,s1);
		novi->br_dana=i1;
		strcpy(novi->pol,s2);
		novi->starost=i2;
		novi->sledeci=p;
		p=novi;
		}
	else{
		strcpy(novi->ime,s1);
		novi->br_dana=i1;
		strcpy(novi->pol,s2);
		novi->starost=i2;
		novi->sledeci=prethodni->sledeci;
		prethodni->sledeci=novi;
		}
		return (p);
	}

int velicina(struct lista *p){
	struct lista *pom;
	int broj=0;
	pom=p;
	while(pom!=NULL){
		broj++;
		pom=pom->sledeci;
		}
	return (broj);
	}

float odredi(struct lista *p){
	int broj=0;
	float procenat;
	struct lista *pom;
	pom=p;
	
	while(pom!=NULL){
		if(strcmp(pom->pol,"ZENSKI")==0){
			broj++;
			}
		pom=pom->sledeci;
		}
	procenat=(broj*100)/velicina(p);
	return (procenat);
	}

main(){
	struct lista *glava=NULL;
	int i;
	char s1[30],s2[30];
	int i1,i2;
	float procenat;
	
	printf("unesi prijave\n");
	gets(s1);
	scanf("%d",&i1);
	getchar();
	gets(s2);
	scanf("%d",&i2);
	getchar();
	while(i1<=30){
		glava=dodaj(glava,s1,i1,s2,i2);
		gets(s1);
		scanf("%d",&i1);
		getchar();
		gets(s2);
		scanf("%d",&i2);
		getchar();
		}
	printf("lista je:\n");
	stampaj(glava);
	printf("\n");
	
	printf("unesi prijave stigle postom\n");
	for(i=0;i<5;i++){
		gets(s1);
		scanf("%d",&i1);
		getchar();
		gets(s2);
		scanf("%d",&i2);
		getchar();
		glava=dodaj_sort(glava,s1,i1,s2,i2);
		}
	printf("\n");
	printf("nova lista je:\n");
	stampaj(glava);
	printf("\n");
	
	printf("broj prijavljenih je:%d\n",velicina(glava));
	procenat=odredi(glava);
	printf("procenat zenskih je %f %%\n",procenat);
	
	
	}
