#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct pr{
	char ime[50];
	int dani;
	char pol;
	int starost;
	struct pr *sledeci;
}prijava;

//#define novi(x) x=(prijava*)malloc(sizeof(prijava))

prijava dodaj(prijava *p, char *ime, int dani, char pol, int starost){
	prijava *temp, *pom;
	temp=(prijava *)malloc(sizeof(prijava));
	if(!temp){
		perror("Greska pri alokaciji memorije!\n");
		exit(0);
	}
	strcpy(temp->ime,ime);
	temp->dani=dani;
	temp->pol=pol;
	temp->starost=starost;
	temp->sledeci=NULL;
	if(!p) p=temp;
	else{
		pom=p;
		while(pom->sledeci!=NULL)
		pom=pom->sledeci;
		pom->sledeci=temp;
	}
	return *p;
}


prijava formiranje(){
	char ime[50];
	char pol;
	int dani, starost;
	prijava *p=NULL;
	
	while(1){
		printf("Unesite ime i prezime\n");
		gets(ime);
		printf("Unesite broj proteklih dana\n");
		scanf("%d",&dani);
		if(dani>30) break;
		printf("Unesite pol\n");
		getchar();
		scanf("%c",&pol);
		printf("Unesite starost\n");
		scanf("%d",&starost);
		getchar();
		*p=dodaj(p,ime,dani,pol,starost);
	}
	return *p;
}

void ispis(prijava *p){
	while(p){
			printf("Ime: %s\n",p->ime);
			printf("Broj dana: %d\n",p->dani);
			printf("Pol: %c\n",p->pol);
			printf("Starost: %d\n",p->starost);
			p=p->sledeci;
	}
}


main(){
	prijava *p;
	char s[50];
	*p=formiranje();
	ispis(p);
}
