
#include <stdio.h>
#include <string.h>
#include <stdlib.h>



typedef struct foto_s
{
	char *imeiprezime, *pol;
	int brdana , starost;
	struct foto_s *rep;
}Foto;

#define novi(x) x=(Foto *)malloc(sizeof(Foto))

void dodaj(Foto **p, char *imeiprezime, int brdana, char *pol, int starost)
{
	Foto *temp, *pom;
	novi(temp);
	if(!temp)
	{
		printf("Greska pri akolaciji\n");
		exit(0);
	}
	
	temp->imeiprezime= (char *)malloc(strlen(imeiprezime)+1);
	strcpy(temp->imeiprezime,imeiprezime);
	temp->pol= (char *)malloc(strlen(pol)+1);
	strcpy(temp->pol,pol);
	temp->brdana=brdana;
	temp->starost=starost;
	
	temp->rep = NULL;
	if (!(*p)) *p = temp;
	else {
		pom = *p;
		while (pom->rep) pom = pom->rep;
		pom->rep = temp;
	}
	
	
	
}


float procenat(Foto	*p)
{
	int  br=0;
	float proc;
	
	while(p)
	{
		if((strcmp(p->pol, "ZENSKI")==0))
		{
			br++;
			
		}
		p=p->rep;
	}
	
	proc=100.0/br;
	return proc;
	
}


void ispisiListu(Foto *p) {
	if (p) {
		while (p) {
			printf("%s\n %d\n %s\n %d\n", p->imeiprezime,p->brdana, p->pol,p->starost);
			printf( "------------\n");
			p = p->rep;
		}
	}
	else printf("Lista je prazna!\n");
}




main()
{

	Foto *p = NULL;
	char imeiprezime[50], pol[50];
	int brdana,starost;
	
	do{
		gets(imeiprezime);
		scanf("%d",&brdana);
		getchar();
		gets(pol);
		scanf("%d", &starost);
		getchar();
		if(brdana<30)
			dodaj(&p, imeiprezime, brdana, pol, starost);
	} while(brdana<30);
	
	ispisiListu(p);
		printf("Procenat zenskih osoba prijavljenih na konkurs je %.2f%%",procenat(p));
}
