#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct s_foto {
	char *ime;
	int br_dana;
	char *pol;
	int starost;
	struct s_foto *rep;
} FOTO;

#define novi(x) x = (FOTO *)malloc(sizeof(FOTO))

void dodaj(FOTO **p, char *imee, int br_danaa, char *poll, int starostt) {
	FOTO *temp, *pom;
	novi(temp);
	if (!temp) {
		printf("Greska pri alokaciji memorije.\n");
		exit(0);
	}
	temp->ime = (char *)malloc(strlen(imee) + 1);
	strcpy(temp->ime, imee);
	temp->br_dana = br_danaa;
	temp->pol = (char *)malloc(strlen(poll) + 1);
	strcpy(temp->pol, poll);
	temp->starost = starostt;
	temp->rep = NULL;
	if (!(*p)) *p = temp;
	else {
		pom = *p;
		while (pom->rep) pom = pom->rep;
		pom->rep = temp;
	}
}

void ispis(FOTO *p) {
	if (p) {
		while (p) {
			printf("%s\n", p->ime);
			printf("%d\n", p->br_dana);
			printf("%s\n", p->pol);
			printf("%d\n", p->starost);
			printf("-----------\n");
			p = p->rep;
		}
	}
	else printf("Lista je prazna!\n");
}

float procenat(FOTO *p) {
	int br_elem = 0;
	int br_zena = 0;
	while (p) {
		if (strcmp(p->pol, "ZENSKI") == 0) br_zena++;
		br_elem++;
		p = p->rep;
	}
	return ((br_zena * 100) / br_elem);
}	

void dodajNove(FOTO **p, char *imee, int br_danaa, char *poll, int starostt) {
	FOTO *temp, *pom, *preth;
	preth = NULL;
	pom = *p;
	novi(temp);
	if (!temp) {
		printf("Greska pri alokaciji memorije.\n");
		exit(0);
	}
	temp->ime = (char *)malloc(strlen(imee) + 1);
	strcpy(temp->ime, imee);
	temp->br_dana = br_danaa;
	temp->pol = (char *)malloc(strlen(poll) + 1);
	strcpy(temp->pol, poll);
	temp->starost = starostt;
	while ((pom != NULL) && (br_danaa >= pom->br_dana)) {
		preth = pom;
		pom = pom->rep;
	}
	if (preth == NULL) {
		temp->rep = pom;
		*p = temp;
	}
	else {
		temp->rep = pom;
		preth->rep = temp;
	}
}

main() {
	FOTO *p = NULL;
	char imee[50], poll[6];
	int br_danaa, starostt;
	int i = 0;
	while (1) {
		gets(imee);
		scanf("%d", &br_danaa);
		if (br_danaa >= 30) break;
		getchar();
		gets(poll);
		scanf("%d", &starostt);
		getchar();
		dodaj(&p, imee, br_danaa, poll, starostt);
	}
	ispis(p);
	getchar();
	gets(poll);
	scanf("%d", &starostt);
	getchar();
	while (i < 5) {
		gets(imee);
		scanf("%d", &br_danaa);
		getchar();
		gets(poll);
		scanf("%d", &starostt);
		getchar();
		dodajNove(&p, imee, br_danaa, poll, starostt);
		i++;
	}
	printf("\nNakon dodavanja novih 5:\n\n");
	ispis(p);
	printf("Procenat zenskog pola na konkursku je: %.1f\n", procenat(p));
}
	
	
	
	
	
	
	
