#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct pr
{
	char ime[50];
	int broj_dana;
	char pol[10];
	int starost;
	struct pr *sledeci;
}FOTO;

FOTO *dodaj(FOTO *p, char *ime, int broj_dana, char *pol, int starost)
{
	FOTO *temp,*pom;
	temp=(FOTO*)malloc(sizeof(FOTO));
	if(!temp) printf("Greska pri alokaciji memorije\n");
	
	strcpy(temp->ime,ime);
	temp->broj_dana=broj_dana;
	strcpy(temp->pol,pol);
	temp->starost=starost;
	temp->sledeci=NULL;
	if(!p) p=temp;
	else
	{
		pom=p;
		while(pom->sledeci!=NULL)
		pom=pom->sledeci;
		pom->sledeci=temp;
	}
	return p;
}

FOTO *formiranje()
{
	char ime[50];
	char pol[10];
	int broj_dana, starost;
	FOTO *p=NULL;
	
	while(1)
	{
		printf("Unesi ime i prezime: \n");
		gets(ime);
		
		printf("Unesi broj proteklih dana od dana objavljivanja konkursa: \n");
		scanf("%d",&broj_dana);
		
		if(broj_dana>30) break;
		printf("Unesite pol: \n");
		getchar();
		scanf("%s",pol);
		
		printf("Unesite starost: \n");
		scanf("%d",&starost);
		getchar();
		
		p=dodaj(p,ime,broj_dana,pol,starost);
	}
	return p;
}

void ispis(FOTO *p)
{
	while(p)
	{
		printf("Ime: %s\n",p->ime);
		printf("Broj dana: %d\n",p->broj_dana);
		printf("Pol: %s\n",p->pol);
		printf("Starost: %d\n",p->starost);
		printf("\n");
		p=p->sledeci;
	}
}

float procenatZena(FOTO *p)
{
	int brZ=0,ukupno=0;
	while(p!=NULL)
	{
		if(strcmp(p->pol,"ZENSKI")==0) brZ++;
		ukupno++;
		p=p->sledeci;
	}
	if(ukupno==0) return 0;
	return brZ*100/ukupno;
}

prijava *Sortiraj(FOTO *p, FOTO niz[])
{
	FOTO pom,pom2;
	for(i=0;i<5;i++)
	{
		pom=p;
		while(p);
		{
			if(p->broj_dana>niz[i].broj_dana)
			{
				niz[i]->sledeci=p;
				p=niz[i];
			}
			else break;
		}
		pom

main(int argc, char *argv[])
{
	FOTO *p;
	char s[50];
	
	p=formiranje();
	ispis(p);
	
	printf("Procenat zena je: %.0f posto\n",procenatZena(p));
	
}
