#include <stdio.h>
#include <stdlib.h>
#include <string.h>


struct foto
{
	char *ime,*pol;
	int brdana,starost;
};

struct lista
{
	struct foto *f;
	struct lista *rep;
};

#define novi(x) x=(struct lista *)malloc(sizeof(struct lista))



struct foto *ubaci()
{
	struct foto *tem;
	char s[100];

	tem=(struct foto*)malloc(sizeof(struct foto));
	if(!tem)
	{
		printf("nema dovoljno memorije");
		exit(1);
	}
	
	printf("unsite ime i prezime autora: ");gets(s);
	tem->ime=(char *)malloc(strlen(s)+1);
	strcpy(tem->ime,s);
	printf("broj dana od konkursa: ");scanf("%d",&tem->brdana);
	getchar();
	printf("unesite pol autora: ");gets(s);
	tem->pol=(char *)malloc(strlen(s)+1);
	strcpy(tem->pol,s);
	printf("unesite starost autora: ");scanf("%d",&tem->starost);
	getchar();
	
	
	return tem;
	
}


void dodaj(struct lista **p, struct foto *slika)
{
	struct lista *tem,*res,*pos;
	
	novi(tem);
	if(!tem)
	{
		printf("nema mesta u memoriji\n");
		exit(1);
	}
	
	tem->f=slika;
	tem->rep=NULL;
	
	res=*p;
	
	if(!res) res=tem;
	else
	{
		pos=res;
		while(pos->rep)
			pos=pos->rep;
		pos->rep=tem;
	}
	
	*p=res;
}

struct lista *form_list()
{
	struct lista *p;
	struct foto *u;
	
	p=NULL;
	
	u=ubaci();
	
	while(u->brdana<=30)
	{
		dodaj(&p,u);
		u=ubaci();
	}
	
	printf("\nunos je zavrsen\n");
	return p;
}

void sredjivanje(struct lista **p, struct foto *slika )
{
	struct lista *pos,*tem,*res;
	
	res=*p;
	
	
	if(!res)
	{
		novi(tem);
		if(!tem)
		{
			printf("nema dovoljno memorije\n");
			exit(1);
		}
	
		tem->f=slika;
		tem->rep=NULL; 
		res=tem;
		*p=res;
	}
	else
	{
		pos=res;
		if(res->f->brdana > slika->brdana)
		{
			novi(tem);
			if(!tem)
			{
				printf("nema dovoljno memorije");
				exit(1);
			}
			
			tem->f=slika;
			tem->rep=res;
			res=tem;
		}
		else
		{
			while(pos->rep)
			{
			
				if(res->rep->f->brdana > slika->brdana)
				{
					novi(tem);
					if(!tem)
					{
						printf("nema dovoljno memorije");
						exit(1);
					}
					
					tem->f=slika;
					tem->rep=pos->rep;
					pos->rep=tem;
					/*pos=tem;*/
				}
				else pos=pos->rep;
			}
		
		
		}
		
		*p=res;
	}
	
	
}

void zenski(struct lista *p)
{
	int br=0,brz=0;
	if(!p)
	{
		printf("lista je prazna\n");
	}
	else
	{
		while(p)
		{
			br++;
			if(strcmp(p->f->pol,"ZENSKI")==0)
				brz++;
			p=p->rep;
		}
		printf("procenat zenskih osoba je %.2f\n",(float)brz/br*100.0);
	}
}

void ispis(struct lista *p)
{
	
	if(!p)
	{
		printf("lista je prazna\n");
	}
	else
	{
		while(p)
			{
				printf("%s %d %s %d\n",p->f->ime,p->f->brdana,p->f->pol,p->f->starost);
				p=p->rep;
			}
	}
}

int main()
{
	struct lista *p;
	struct foto *u;
	int i;
	p=form_list();
	ispis(p);
	
	printf("\nunesite prijave koje su stigle postom\n");
	for(i=0;i<5;i++)
		{
			
			u=ubaci();
			sredjivanje(&p,u);
		}
	
	ispis(p);
	zenski(p);
	return 1;
}
